Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Unable to Install Eclipse for Windows(Please Help!)
Unable to Install Eclipse for Windows [message #1802447] Sat, 09 February 2019 02:17 Go to next message
Garrett Berch is currently offline Garrett BerchFriend
Messages: 1
Registered: February 2019
Junior Member
Hello, I am having the same error whenever I finish installing eclipse from the installer. Ive tried unblocking the installer and running as administrator, but nothing seems to work. Log is attached. Thanks
-Garrett

[2019-02-08 21:07:22] Executing bootstrap tasks
[2019-02-08 21:07:22] Java(TM) SE Runtime Environment 1.8.0_201-b09
[2019-02-08 21:07:22] Product org.eclipse.products.epp.package.java.2018-12
[2019-02-08 21:07:22] Bundle org.eclipse.oomph.setup 1.10.0.v20180914-1031, build=3784, branch=d5b911e1f3bc20f8e0c54af3126d8150fbc53bdf
[2019-02-08 21:07:22] Bundle org.eclipse.oomph.setup.core 1.11.0.v20181203-0741, build=3784, branch=d5b911e1f3bc20f8e0c54af3126d8150fbc53bdf
[2019-02-08 21:07:22] Bundle org.eclipse.oomph.setup.p2 1.10.0.v20180706-1242, build=3784, branch=d5b911e1f3bc20f8e0c54af3126d8150fbc53bdf
[2019-02-08 21:07:22] Performing P2 Director (Eclipse IDE for Java Developers (2018-12))
[2019-02-08 21:07:22] Offline = false
[2019-02-08 21:07:22] Mirrors = true
[2019-02-08 21:07:22] Resolving 23 requirements from 3 repositories to C:\Users\garre\Desktop\Digital Works\eclipse
[2019-02-08 21:07:22] Requirement epp.package.java [4.10.0,5.0.0)
[2019-02-08 21:07:22] Requirement org.eclipse.platform.feature.group [4.10.0,5.0.0)
[2019-02-08 21:07:22] Requirement org.eclipse.rcp.feature.group [4.10.0,5.0.0)
[2019-02-08 21:07:22] Requirement org.eclipse.buildship.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.eclemma.feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.egit.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.egit.mylyn.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.epp.mpc.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.jdt.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.jgit.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.m2e.feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.m2e.logback.feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.context_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.git.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.hudson.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.java_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.mylyn_feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.tips.feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2019-02-08 21:07:22] Requirement org.eclipse.oomph.setup.feature.group
[2019-02-08 21:07:22] Repository http://download.eclipse.org/technology/epp/packages/2018-12
[2019-02-08 21:07:22] Repository http://download.eclipse.org/releases/2018-12/201812191000
[2019-02-08 21:07:22] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2019-02-08 21:07:25] Calculating requirements and dependencies.
[2019-02-08 21:07:31] Computing prerequisite plan
[2019-02-08 21:07:42] Collecting 3 artifacts from http://download.eclipse.org/releases/2018-12/201812191000
[2019-02-08 21:07:54] Downloading org.eclipse.rcp_root
[2019-02-08 21:07:54] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
[2019-02-08 21:07:54] Downloading org.eclipse.platform_root
[2019-02-08 21:07:54] Collected 3 artifacts for http://download.eclipse.org/releases/2018-12/201812191000 in 11.983s
[2019-02-08 21:07:54] Collecting 1 artifacts from http://download.eclipse.org/technology/epp/packages/2018-12
[2019-02-08 21:07:59] Downloading epp.package.java.executable.win32.win32.x86_64
[2019-02-08 21:07:59] Collected 1 artifacts for http://download.eclipse.org/technology/epp/packages/2018-12 in 4.691s
[2019-02-08 21:07:59] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2019-02-08 21:07:59] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3334)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3262)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3243)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3143)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Users_garre_Desktop_Digital Works_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.util.zip.ZipException: invalid LOC header (bad signature)
at java.util.zip.ZipFile.read(Native Method)
at java.util.zip.ZipFile.access$1400(Unknown Source)
at java.util.zip.ZipFile$ZipFileInputStream.read(Unknown Source)
at java.util.zip.ZipFile$ZipFileInflaterInputStream.fill(Unknown Source)
at java.util.zip.InflaterInputStream.read(Unknown Source)
at org.eclipse.osgi.internal.signedcontent.SignatureBlockProcessor.readFully(SignatureBlockProcessor.java:498)
at org.eclipse.osgi.internal.signedcontent.SignatureBlockProcessor.readIntoArray(SignatureBlockProcessor.java:480)
at org.eclipse.osgi.internal.signedcontent.SignatureBlockProcessor.process(SignatureBlockProcessor.java:61)
at org.eclipse.osgi.internal.signedcontent.SignedBundleFile.initializeSignedContent(SignedBundleFile.java:47)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:221)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:77)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:58)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:55)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:255)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:80)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:48)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:45)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:733)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3334)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3262)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3243)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3143)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1298)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$32(SimpleVariablePage.java:1166)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1111)
Re: Unable to Install Eclipse for Windows [message #1802457 is a reply to message #1802447] Sat, 09 February 2019 10:50 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30372
Registered: July 2009
Senior Member
I assume this fails the same way repeatedly? In that case, it's likely some bundle was downloaded but is corrupt. You can try using the menu (under the x close button in the upper right), Bundle Pools... and use Analyze Agent... to see if any of the artifacts in your bundle pool are damaged and need to be repaired...

If this is your first installation, you could delete the <home>/.p2/ folder; don't ever do this if you have installations that you don't want to destroy.
Previous Topic:Fragment bundle is not getting activated
Next Topic:Running in Eclipse 2018-12
Goto Forum:
  


Current Time: Sun Aug 25 09:04:19 GMT 2019

Powered by FUDForum. Page generated in 0.02820 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top